Skip to content

Get Agent Status

GET
/api/v1/projects/{project_id}/agent-status
curl --request GET \
--url https://aura.strangeworks.com/api/v1/projects/example/agent-status \
--header 'Authorization: Bearer <token>'

Check if the agent is currently running for this project.

Uses the AgentJob table in the database rather than process-local state, so this works correctly across multiple Cloud Run instances.

project_id
required
Project Id
string
conversation_id
Any of:
string

Successful Response

Media typeapplication/json
AgentStatusResponse

Whether a turn is in flight for a project, from the AgentJob table.

object
active_conversations
Active Conversations
Array<string>
default:
project_id
required
Project Id
string
running
required
Running
boolean
Example
{
"active_conversations": []
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}